## org.apache.mahout.classifier.sgd
Class MixedGradient

    java.lang.Object
      org.apache.mahout.classifier.sgd.MixedGradient

All Implemented Interfaces:
  Gradient

    public class MixedGradient

extends Object
implements Gradient

Provides a stochastic mixture of ranking updates and normal logistic updates. This uses a combination of AUC driven learning to improve ranking performance and traditional log-loss driven learning to improve log-likelihood.

See www.eecs.tufts.edu/~dsculley/papers/combined-ranking-and-regression.pdf

This implementation only makes sense for the binomial case.

Constructor Summary
`MixedGradient(double alpha, int window)`

Method Summary
`Vector` `apply(String groupKey, int actual, Vector instance, AbstractVectorClassifier classifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixedGradient

    public MixedGradient(double alpha,
                         int window)

Method Detail

### apply

    public Vector apply(String groupKey,
                        int actual,
                        Vector instance,
                        AbstractVectorClassifier classifier)

  Specified by:
    `apply` in interface `Gradient`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.